#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int n;
int tong=0;
int nt(int n)
{
	int f=1;
	if(n==1)
	{
		f=0;
	}
	for(int i=2;i<=sqrt(n);i++)
	{
		if(n%i==0)
		{
			f=0;
			break;
		}
	}
	return f;
}
void nhap()
{
	ifstream fi("TSNT.inp");
	fi>>n;
	fi.close();
}
void xuat()
{
	ofstream fo("TSNT.out");
	fo<<n<<"=";
	int i=2;
	while(n!=1)
	{
		if((n%i==0)&&(nt(i)==1))
		{
			fo<<i;
			tong+=i;
			if(i!=n)
			{
				fo<<"*";
			}
			n=n/i;
			i--;
		}
		i++;
	}
	fo<<endl;
	fo<<tong;
	fo.close();
}
int main()
{
	nhap();
	xuat();
	return 0;
}
